@rem Touchscreen firmware version check

@echo off

:GETFW
@rem First, export firmware check result
if exist FWCHECK.log del FWCHECK.log
MxtUpdater.exe -i > FWCHECK.log

:CHECKFW
@rem Check firmware version 0xAA
find "Build: 				0xAA" FWCHECK.log > nul
if %errorlevel%==1 goto FAIL

:PASS
cls
color 2f
echo =============== Touchpanel Firmware Check Pass ===============
echo.
echo ooooooooo.         .o.        .oooooo..o  .oooooo..o 
echo `888   `Y88.      .888.      d8P'    `Y8 d8P'    `Y8 
echo  888   .d88'     .8"888.     Y88bo.      Y88bo.      
echo  888ooo88P'     .8' `888.     `"Y8888o.   `"Y8888o.  
echo  888           .88ooo8888.        `"Y88b      `"Y88b 
echo  888          .8'     `888.  oo     .d8P oo     .d8P 
echo o888o        o88o     o8888o 8""88888P'  8""88888P'  
echo.
echo =============== Touchpanel Firmware Check Pass ===============
goto END

:FAIL
cls
color cf
echo =============== Touchpanel Firmware Check Fail ===============
echo.
echo oooooooooooo       .o.       ooooo ooooo        
echo `888'     `8      .888.      `888' `888'        
echo  888             .8"888.      888   888         
echo  888oooo8       .8' `888.     888   888         
echo  888    "      .88ooo8888.    888   888         
echo  888          .8'     `888.   888   888       o 
echo o888o        o88o     o8888o o888o o888ooooood8 
echo.
echo =============== Touchpanel Firmware Check Fail ===============
pause > nul
goto FAIL

:END
if exist FWCHECK.log del FWCHECK.log