@rem Touchscreen firmware check and config file update

@echo off

:CHECKFW
call Firmware_Check.cmd

:UPDATECFG
@rem If firmware check pass, update config file
if exist CFGUPDATE.log del CFGUPDATE.log
cls
echo ==================== Do Not Close This Window ====================
echo.
echo.
echo.
echo oooooo   oooooo     oooo       .o.       ooooo ooooooooooooo 
echo  `888.    `888.     .8'       .888.      `888' 8'   888   `8 
echo   `888.   .8888.   .8'       .8"888.      888       888      
echo    `888  .8'`888. .8'       .8' `888.     888       888      
echo     `888.8'  `888.8'       .88ooo8888.    888       888      
echo      `888'    `888'       .8'     `888.   888       888      
echo       `8'      `8'       o88o     o8888o o888o     o888o     
echo.
echo.
echo.
echo ==================== Do Not Close This Window ====================
Mxtupdater.exe -wx palace_hill_FW12AA_0121-2.xcfg > CFGUPDATE.log
find "successfully" CFGUPDATE.log > nul
if %errorlevel% == 0 goto UPDATESIGN
timeout /t 5 /nobreak > nul
goto UPDATECFG

:UPDATESIGN
@rem After update xcfg pass, update driver sign later
if exist SIGNUPDATE.log del SIGNUPDATE.log
cls
echo ==================== Do Not Close This Window ====================
echo.
echo.
echo.
echo oooooo   oooooo     oooo       .o.       ooooo ooooooooooooo 
echo  `888.    `888.     .8'       .888.      `888' 8'   888   `8 
echo   `888.   .8888.   .8'       .8"888.      888       888      
echo    `888  .8'`888. .8'       .8' `888.     888       888      
echo     `888.8'  `888.8'       .88ooo8888.    888       888      
echo      `888'    `888'       .8'     `888.   888       888      
echo       `8'      `8'       o88o     o8888o o888o     o888o     
echo.
echo.
echo.
echo ==================== Do Not Close This Window ====================
timeout /t 5 /nobreak > nul
Mxtupdater.exe -tw pid_thqa.txt > SIGNUPDATE.log
find "successfully" SIGNUPDATE.log > nul
if %errorlevel% == 0 goto CHECKCFG
timeout /t 5 /nobreak > nul
goto UPDATESIGN

:CHECKCFG
timeout /t 5 /nobreak > nul
call Config_Check.cmd

:END
if exist CFGUPDATE.log del CFGUPDATE.log
if exist SIGNUPDATE.log del SIGNUPDATE.log